using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        List<UserLocalEntity> GetAllUser();
        UserLocalEntity? GetUserByGuid(Guid guid);
        List<UserLocalEntity> GetUsersByGroupID(int groupID);
        bool RemoveUserByGuid(Guid guid);
        UserLocalEntity? UpdateUser(UserLocalEntity updatedUser);
    }
}